Extending Qt Creator Manual | DeviceKitInformation

Extending Qt Creator Manual 4.5.2

# DeviceKitInformation Class

(ProjectExplorer::DeviceKitInformation)

Inherits: | ProjectExplorer::KitInformation

- List of all members, including inherited members

## Public Functions

| DeviceKitInformation()

## Reimplemented Public Functions

virtual void | addToMacroExpander(ProjectExplorer::Kit *kit, Utils::MacroExpander *expander) const override
virtual KitConfigWidget * | createConfigWidget(Kit *k) const override
virtual QVariant | defaultValue(const Kit *k) const override
virtual QString | displayNamePostfix(const Kit *k) const override
virtual void | fix(Kit *k) override
virtual void | setup(Kit *k) override
virtual ItemList | toUserOutput(const Kit *k) const override
virtual QList<Task> | validate(const Kit *k) const override

- 15 public functions inherited from ProjectExplorer::KitInformation

## Static Public Members

IDevice::ConstPtr | device(const Kit *k)
Core::Id | deviceId(const Kit *k)
Core::Id | id()
void | setDevice(Kit *k, IDevice::ConstPtr dev)
void | setDeviceId(Kit *k, Core::Id dataId)

### Additional Inherited Members

- 3 protected functions inherited from ProjectExplorer::KitInformation

## Member Function Documentation

### DeviceKitInformation::DeviceKitInformation()

Default constructs an instance of DeviceKitInformation.

### `[override virtual]` void DeviceKitInformation::addToMacroExpander(ProjectExplorer::Kit *kit, Utils::MacroExpander *expander) const

### `[override virtual]` KitConfigWidget *DeviceKitInformation::createConfigWidget(Kit *k) const

### `[override virtual]` QVariant DeviceKitInformation::defaultValue(const Kit *k) const

### `[static]` IDevice::ConstPtr DeviceKitInformation::device(const Kit *k)

See also setDevice().

### `[static]` Core::Id DeviceKitInformation::deviceId(const Kit *k)

See also setDeviceId().

### `[override virtual]` QString DeviceKitInformation::displayNamePostfix(const Kit *k) const

### `[override virtual]` void DeviceKitInformation::fix(Kit *k)

### `[static]` Core::Id DeviceKitInformation::id()

### `[static]` void DeviceKitInformation::setDevice(Kit *k, IDevice::ConstPtr dev)

See also device().

### `[static]` void DeviceKitInformation::setDeviceId(Kit *k, Core::Id dataId)

See also deviceId().

### `[override virtual]` void DeviceKitInformation::setup(Kit *k)

### `[override virtual]` ItemList DeviceKitInformation::toUserOutput(const Kit *k) const

### `[override virtual]` QList<Task> DeviceKitInformation::validate(const Kit *k) const